Summary:	Common environment for Jabber services
Summary(pl.UTF-8):	Wspólne środowisko dla usług Jabbera
Name:		jabber-common
Version:	0
Release:	11
License:	GPL
Group:		Applications/Communications
Source0:	%{name}.tmpfiles
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(post):	%{__perl}
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(jabber)
Provides:	user(jabber)
Obsoletes:	jabber-conference
Obsoletes:	jabber-irc-transport
Conflicts:	jabber
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package prepares common environment for Jabber services.

%description -l pl.UTF-8
Ten pakiet przygotowuje wspólne środowisko dla usług Jabbera.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/run/jabber,/etc/jabber,/home/services/jabber} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

install %{SOURCE0} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/jabber.conf

touch $RPM_BUILD_ROOT%{_sysconfdir}/jabber/secret

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- jabber-common < 0-4
if [ "`echo -n ~jabber`" = "/var/lib/jabber" -o "`echo -n ~jabber`" = "/var/lib/jabberd" ] ; then
	/usr/sbin/usermod -d /home/services/jabber jabber
fi

%pre
%groupadd -g 74 jabber
%useradd -g jabber -d /home/services/jabber -u 74 -s /bin/false jabber

%post
if [ ! -f /etc/jabber/secret ] ; then
	echo "Generating Jabberd component authentication secret..."
	umask 066
	%{__perl} -e 'open R,"/dev/urandom"; read R,$r,16;
		printf "%02x",ord(chop $r) while($r);' > /etc/jabber/secret
fi

%preun
if [ "$1" = 0 ]; then
	rm -f /var/run/jabber/* || :
fi

%postun
if [ "$1" = "0" ]; then
	%userremove jabber
	%groupremove jabber
fi

%files
%defattr(644,root,root,755)
%dir %{_sysconfdir}/jabber
/usr/lib/tmpfiles.d/jabber.conf
%dir %attr(775,root,jabber) /var/run/jabber
%dir %attr(711,jabber,jabber) /home/services/jabber
%attr(600,root,root) %ghost %{_sysconfdir}/jabber/secret
%changelog
* Mon Nov 11 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jabber-common.git;a=log;h=master

* Mon Nov 11 2024 Jan Palus <atler@pld-linux.org> 60c7e20
- Release 11 (by relup.sh)

* Mon Nov 11 2024 Jan Palus <atler@pld-linux.org> df04c1e
- noarch package

* Wed Mar 28 2018 Jan Rękorajski <baggins@pld-linux.org> bce43c0
- rebuild for x32
- release 10 (by relup.sh)

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 0a3b3c2
- release 9

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 62f937b
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> 20fcd02
- add systemd tmpfiles config

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 45940e9
- release 8

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 2056c17
- s/enviroment/environment/

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ae27800
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f8fe4cf
- converted to UTF-8

* Fri Sep 08 2006 Elan Ruusamäe <glen@pld-linux.org> 5e32c0f
- rel 7 (rebuild with fixed %useradd/%groupadd macros)

* Fri Apr 14 2006 Elan Ruusamäe <glen@pld-linux.org> 9bac65e
- rel 6

* Sun May 01 2005 Elan Ruusamäe <glen@pld-linux.org> 2b0bc0c
- use %useradd/%groupadd macros

* Mon Jan 17 2005 djrzulf <djrzulf@pld-linux.org> 0b6c96f
- STBR for AC-READY,
- Rel 5,

* Fri Dec 17 2004 Jacek Konieczny <jajcus@pld-linux.org> 71cae1b
- Release: 4.1
- /home/services/jabber added as $HOME for jabber. ejabberd (ERLang actually) requires writtable $HOME,
  and it is also usefull for jabber administrators.
- trigger fixing $HOME when upgrading from older jabber-common
- /var/run cleaning fixed

* Fri Dec 17 2004 djrzulf <djrzulf@pld-linux.org> facc294
- STBR,

* Fri Dec 17 2004 djrzulf <djrzulf@pld-linux.org> 89fb6d3
- typos,

* Tue Aug 31 2004 snurf <snurf@pld-linux.org> 0e1849b
- typos

* Wed Aug 25 2004 ankry <ankry@pld-linux.org> 42ab6e8
- removed unnecessary -f from groupadd

* Wed Aug 25 2004 ankry <ankry@pld-linux.org> 6997129
- use %groupremove/%userremove
- more checks while adding user/group
- rel. 3

